import {Obj} from "../interface";
import request from '../utils/request'
import store from "../store";

export function register(data: Obj) {
  return request({
    url: '/goim/user/register',
    method: 'post',
    params: data,
    data
  })
}

export function login(data: Obj) {
  return request({
    url: '/goim/user/login',
    method: 'post',
    params: data,
    data
  })
}

export function getFriends(params: Obj) {
  return request({
    url: '/goim/get/friends',
    method: 'post',
    params
  })
}

export function addFriend(data: Obj) {
  return request({
    url: '/goim/add/friend',
    method: 'post',
    params: data,
    data
  })
}

export function getGroups(params: Obj) {
  return request({
    url: '/goim/get/groups',
    method: 'post',
    params
  })
}

export function addGroup(data: Obj) {
  return request({
    url: '/goim/add/group',
    method: 'post',
    params: data,
    data
  })
}

export function groupMembers(data: Obj) {
  return request({
    url: '/goim/get/groupMembers',
    method: 'post',
    params: data,
    data
  })
}

export function addGroupMember(data: Obj) {
  return request({
    url: '/goim/add/groupMember',
    method: 'post',
    params: data,
    data
  })
}

export function findUser(data: Obj) {
  return request({
    url: '/goim/find/user',
    method: 'post',
    params: data,
    data
  })
}

export function messageList(data: Obj) {
  return request({
    url: '/goim/get/messages',
    method: 'post',
    params: {token: store.state.userInfo.token},
    data
  })
}

export function sendMessageToUser(data: Obj) {
  return request({
    url: `/goim/push/mids?operation=1000&mids=${data.to}`,
    method: 'post',
    params: {token: store.state.userInfo.token},
    data
  })
}

export function sendMessageToGroup(data: Obj) {
  return request({
    url: `/goim/push/rooms?operation=${data.fromUserId}&type=live&room=${data.to}`,
    method: 'post',
    params: {token: store.state.userInfo.token},
    data
  })
}

export function deleteFriend(data: Obj) {
  return request({
    url: '/goim/del/friend',
    method: 'post',
    params: data,
    data,
  })
}

export function deleteExitGroup(data: Obj) {
  return request({
    url: '/goim/del/groupMember',
    method: 'post',
    params: data,
    data,
  })
}

export function noReadNum(data: Obj) {
  return request({
    url: '/goim/clear/noReadNum',
    method: 'post',
    params: data,
    data,
  })
}
